### Method

# FwupdPlugin Context get_firmware_gtype_by_id

#### Declaration [src]

    GType
    fu_context_get_firmware_gtype_by_id (
      FuContext* self,
      const gchar* id
    )

#### Description [src]

Returns the `GType` using the firmware `id`.

Available since: | 1.6.0

#### Parameters

`id` | `const gchar*`
| An string describing the type, e.g. `ihex`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GType`
| A `GType`, or `G_TYPE_INVALID`.